# Class Signage#unregisterSystemMonitor

Signage

- Defined in: signage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Signage#unregisterSystemMonitor(successCallback, errorCallback) Unregisters all the system monitoring handlers.

## Class Detail

Signage#unregisterSystemMonitor(successCallback, errorCallback)

Unregisters all the system monitoring handlers. No more monitoring events will be received.

    function unregisterSystemMonitor() {
       var successCb = function (){
         console.log("successfully canceled");
       };

       var failureCb = function(cbObject){
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log( " Error Code [" + errorCode + "]: " + errorText);
       };

       var signage = new Signage();
       signage.unregisterSystemMonitor(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.0
Returns:

  After the method is successfully executed, successCallback is called without any parameter. If an error occurs, errorCallback is called with errorCode and errorText.